Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

accountId
string
required

The ID of the internal account to fund

Body

application/json
amount
integer<int64>
required

Amount to add in the smallest unit of the account's currency (e.g., cents for USD/EUR, satoshis for BTC)

Required range: x <= 100000000000
Example:

100000

Response

Internal account funded successfully

id
string
required

The ID of the internal account

Example:

"InternalAccount:12dcbd6-dced-4ec4-b756-3c3a9ea3d123"

balance
object
required
fundingPaymentInstructions
object[]
required

Payment instructions for funding the account

createdAt
string<date-time>
required

Timestamp when the internal account was created

Example:

"2025-10-03T12:30:00Z"

updatedAt
string<date-time>
required

Timestamp when the internal account was last updated

Example:

"2025-10-03T12:30:00Z"

customerId
string

The ID of the customer associated with the internal account. If this field is empty, the internal account belongs to the platform.

Example:

"Customer:019542f5-b3e7-1d02-0000-000000000001"